Connecting to OKI MFP

When the [Local Discovery] dialog box appears, you can either use the printer discovery feature to automatically search a printer in your network or enter the printer's network address manually.

» "Searching MFPs automatically"

» "Entering IP address manually"

This function is used to connect to OKI MFP from TWAIN Driver, File Downloader, Remote Scan Driver, and Address Book Viewer.

Searching MFPs automatically

The following steps provide an example on Windows 7.The steps are the same on any other Windows OS.

  1. Click [Start Discovery].

    2. Local Discovery locates the compatible printers in your network.

    You can quit the process by clicking [Stop Discovery].

    Devices in different segments may not be found. If you cannot find the device you are looking for, do so manually from [Manual Selection]. » "Entering IP address manually"

    The search process may take long especially when many clients exist on the network. In this case, change the discovery settings from [Advanced]. » "Changing Network Discovery Settings"

    To search a printer on the IPX/SPX network, press [Advanced] and select the IPX/SPX network search option. The OKI MFPs can be found in the IPX/SPX network also when the Local Discovery dialog box is displayed in applications other than Local Discovery. » "Changing Network Discovery Settings"

    The target OKI MFPs may not be found due to the SNMP settings. In this case, verify and/or change the settings on the [SNMP Settings] dialog box. For help, see the following section: » "Changing SNMP Settings"

  2. From the list of the found devices, select the name of your OKI MFP and click [OK].

    3. Local Discovery connects to the selected device.

    Selecting a wrong device will invoke a message dialog box. In this case, click [No] to return to the [Local Discovery] dialog box and select a correct device.

    If your attempt to find the target OKI MFP fails, try to find it by manually entering its IP address. » "Searching MFPs automatically"

Entering IP address manually

The following steps provide an example on Windows 7.

The steps are the same on any other Windows OS.

  1. Click [Manual Selection].

    2. The [Manual Selection] dialog box appears.

  2. Enter the following items and click [OK].

    3. IPv4 IP Address -- Enter the IPv4 address of the printer.

    IPv6 IP Address -- Enter the IPv6 address of the printer.

    IPX Address -- Enter the IPX address of the printer. This item is available only when both of the following conditions are satisfied:

    The IPX/SPX protocol and Novell Client are installed in your computer.

    The computer is connected to the NetWare server.

    The OKI MFPs can be discovered in the IPX/SPX network if the [Local Discovery] dialog box is displayed from other than Local Discovery.

    Name -- Enter the printer name.

    Location -- Enter the location of the printer.

    [SNMP Settings] -- Click this button when you need to verify and/or change the SNMP settings.

    » "Changing SNMP Settings"

    You must fill in the [Name] and either the [IP Address] or [IPX Address] boxes.

  3. The device specified in Step 2 is added to the list. Select the name of the added OKI MFP and click [OK].

    4. Local Discovery connects to the selected device.

    Selecting a wrong device will invoke a message dialog box. In this case, click [No] to return to the [Local Discovery] dialog box and select a correct device.

    The target OKI MFPs may not be found due to the SNMP settings. In this case, verify and/or change the settings on the [SNMP Settings] dialog box. For help, see the following section: » "Changing SNMP Settings"

Go to Top


BASIC OPERATION

This chapter describes basic operation of Local Discovery.

» "Local Discovery Summary"

» "Launching Local Discovery"

» "Connecting to OKI MFP"

» "Local Discovery Window"


Local Discovery Summary

Local Discovery Icon

Serves as a gateway to diverse features. » "Launching Local Discovery"

Document Monitor Taskbar Menu

Offers you a selection of services including starting/ending the session, configuration, and more!

Local Discovery Window

Displays the device summary and various types of jobs. » "Local Discovery Window"

Configuration Dialog Box

Allows you to customize Local Discovery to suit your preferences. » "Customizing Local Discovery"


Launching Local Discovery

You have the following 2 options to access the Local Discovery window.

» "Accessing from Local Discovery icon"

» "Accessing from the Printers and Faxes folder"


Accessing from Local Discovery icon

You can access the Local Discovery window from the Local Discovery icon in the system tray.

The following steps provide an example on Windows 7.The steps are the same on any other Windows OS.

  1. From [Start]> [All Programs] > [OKI Client], select [Local Discovery].

    2. The Local Discovery icon appears on the system tray.

  2. Right-click on the Local Discovery icon and, from the menu that appears, select [Local Discovery].

    3. The Local Discovery window is displayed.

    The Local Discovery window displays the information for the printer set as a default printer in the Printers and Faxes folder. If the default printer is not set to an OKI printer or fax driver, an error message is displayed instead of the Local Discovery window.

    The SNMP community name of the selected printer driver or Fax driver is used to connect to the printer. If the connection is not properly set, a [message] dialog box appears. In this case, click [OK] to search for a printer and establish the connection. » "Connecting to OKI MFP"

    If you have any additional printers/faxes you want to monitor, see the following section: » "Registering additional printers"


Accessing from the Printers and Faxes folder

You can access the Local Discovery window from the [Printers and Faxes], [Printers], or [Devices and Printers] folder. Selecting a printer or fax driver in the folder will display the Local Discovery window with the selected device information.

The following steps provide an example on Windows Vista.

The steps are the same on any other Windows OS.

This function cannot be used in Windows 7.

  1. Open the [Printers and Faxes], [Printers], or [Devices and Printers] folder.
  2. Select and right-click on a driver icon and, from the menu that appears, select [Local Discovery].

    3. The Local Discovery window appears for the selected device.

    The SNMP community name of the selected printer driver or Fax driver is used to connect to the printer. If the connection is not properly set, a [message] dialog box appears. In this case, click [OK] to search for a printer and establish the connection. » "Connecting to OKI MFP"

    If you have any additional devices you want to monitor, see the following section: » "Registering additional printers"


Local Discovery Window

On the Local Discovery window, you can switch tabs to check the device summary and the status of jobs. The window consists of the following components:

Menu Bar

The following menus are available:
Printer -- Click this menu when closing the window or switching devices to monitor.
Document -- Click this menu to start or delete jobs.
View -- Click this menu to display the configuration dialog box or update the device summary information.
Help -- Click this to access to the online help or the version information.

Tab

The following tabs are available:
Device Status » "MONITORING DEVICE STATUS"
Print Queue
Private Print
Proof Print
Scheduled Print
Fax
e-Filing
Invalid

Status Bar

On the status bar, the information such as printer status, IP address, the number of documents, and connection status are displayed in text or with icons. The available information varies depending on each tab.
Status -- Provides the information such as printer status and the number of jobs.
IP/IPX Address -- Shows the IP or IPX address of the controller connected to the selected printer.
Connection Status -- The icon here shows the communication status of the printer.
Printer Icon -- Clicking on this icon updates the information.

You can choose whether or not to show the status bar by selecting/deselecting the Status Bar option in the [View] menu.


MONITORING DEVICE STATUS

This chapter describes how to use Local Discovery to monitor the status of your device.

» "[Device Status] Tab"

» "Checking Device Status"

» "Monitoring Multiple Devices"


[Device Status] Tab

The [Device Status] tab allows you to view the detailed device information, check the printer status, and register additional devices.

Printer Image

The printer image provides a visual representation of the printer, showing the device status icon when the printer experiences an error. » "Device status indicators"

Device Details

The following detailed device information is displayed:
Name -- Shows the distinctive printer name.
Model -- Shows the name of the printer model.
Location -- Shows the printer's physical location.
Status -- Shows the status message that indicates the status of the device.
Hole Punch -- Shows the type of the hole punch unit installed.
Physical Address -- Shows the printer's machine address (a unique ID for the printer's network card, also referred to as the hardware address).

Printer Information

The Printer Information list box displays the drawer status icon along with the information about error, warnings, toner, and the counters.

Description

Description provides the details of the selected item in the Printer Information list box.

[Add Device]

Click this button when you need to register additional printers. » "Registering additional printers"


Checking Device Status

You can check the printer status on the Printer Image and the Printer Information areas.These two areas show icons that represent the device status when the printer encounters an error. Although Local Discovery enjoys periodic updating, you can also update the information manually.

» "Device status indicators"

» "Updating device summary information"


Device status indicators

Printer Error 1
This icon indicates a non-recommended toner cartridge is used and the equipment has stopped printing. For information on resolving the error condition, refer to "Replacing a Toner Cartridge" in Troubleshooting Guide .
Printer Error 2
This icon indicates:
You need to remove paper from the receiving tray.
You need to remove paper from the Finisher tray.
You need to remove the staples jammed in the Finisher. For information on resolving the error condition, refer to "Staple Jam in the Finisher" in Troubleshooting Guide .
You need to remove the staples jammed in the Saddle Stitch unit. For information on resolving the error condition, refer to "Staple Jam in the Saddle Stitch unit" in Troubleshooting Guide .
You need to clear the hole punch paper bits from the Hole Punch Unit. For information on resolving the error condition, refer to "Cleaning the Hole Punch Dust Bin" in Troubleshooting Guide .
An unrecommended toner cartridge is being used. For information on resolving the error condition, refer to "Replacing a Toner Cartridge" in Troubleshooting Guide .
You performed saddle stitch printing with the paper of the different sizes.
The equipment cannot load paper from the Large Capacity Feeder.
The equipment cannot eject the paper to the inner tray.
Cover Open
This icon indicates the front cover is open.
Toner Empty
This icon indicates no toner is left. It also indicates which color is empty. For information on resolving the error condition, refer to "Replacing a Toner Cartridge" in Troubleshooting Guide .
Waste Toner Full
This icon indicates the waste toner box is full and requires replacing. For information on resolving the error condition, refer to "Replacing the Waste Toner Box" in Troubleshooting Guide .
Paper Empty
This icon indicates no paper is left in a drawer. For information on resolving the error condition, refer to Copying Guide .
Paper Jam
This icon indicates a paper jam occurred. For information on resolving the error condition, refer to "Clearing a Paper Jam" in Troubleshooting Guide .
Staples Empty
This icon indicates no staples are left in the Finisher. For information on resolving the error condition, refer to "Refilling With Staples" in Troubleshooting Guide .
Call for Service
Contact your service representative to have the equipment inspected.


Updating device summary information

When you want to manually update the device status information, either select View > Refresh, or click the printer icon on the right side of the status bar.

To change the auto-update settings, see the following section: » "Changing Refresh Rates"


Monitoring Multiple Devices

Registering additional devices allows you to monitor multiple devices by alternately switching between them. Local Discovery can register up to 15 devices.

» "Registering additional printers"

» "Switching between devices"


Registering additional printers

To register additional devices you want to monitor, follow either of the following procedures:

» "Adding new devices with Auto-search function"

» "Adding new devices manually"

Adding new devices with Auto-search function

The following steps provide an example on Windows 7.

The steps are the same on other Windows OS.

  1. On the [Device Status] tab, click [Add Device].

    2. The [Local Discovery Network Discovery] dialog box appears.

  2. Click [Start Discovery].

    3. You can quit the process by clicking [Stop Discovery].

    Local Discovery may not be able to find devices that are located in different segments. In this case, add these devices manually from [Manual Selection]. » "Adding new devices manually"

    The search process may take long especially when many clients exist on the network. In this case, change the discovery settings from [Advanced]. » "Changing Network Discovery Settings"

    To search a printer on the IPX/SPX network, press [Advanced] and select the IPX/SPX network search option. » "Changing Network Discovery Settings"

    The target OKI MFPs may not be found due to the SNMP settings. In this case, verify and/or change the settings using the SNMP Settings dialog box. For help, see the following section: » "Changing SNMP Settings"

  3. From the list of the found printers, select the check box of the printer you want to monitor and click [ [image] Add].

    4. The selected device is added to the Monitoring Device list.

    The maximum printers can be added is 15.

    To remove any device(s) from the Monitoring Device list, select the checkbox of the device(s) you want to remove and click [Remove].

    You cannot remove devices that are related to the installed printer drivers.

  4. Click [OK].

Adding new devices manually

The following steps provide an example on Windows 7.The steps are the same on other Windows OS.

  1. On the [Device Status] tab, click [Add Device].

    2. The [Local Discovery Network Discovery] dialog box appears.

  2. Click [Manual Selection].

    3. The [Manual Selection] dialog box appears.

  3. Enter the following items and click [OK].

    4. IPv4 IP Address -- Enter the IPv4 address of the printer.

    IPv6 IP Address -- Enter the IPv6 address of the printer.

    IPX Address -- Enter the IPX address of the printer. This item is available only when both of the following conditions are satisfied:

    The IPX/SPX protocol and Novell Client are installed in your computer.

    The computer is connected to the NetWare server.

    Name -- Enter the printer name.

    Location -- Enter the location of the printer.

    [SNMP Settings] --Click this button when you need to verify and/or change the SNMP settings.

    » "Changing SNMP Settings"

    You must fill in the [Name] and either the [IP Address] or [IPX Address] boxes.

  4. The specified printer is added to the [Monitoring Device] list. Click [OK].

    5. To remove any device(s) from the Monitoring Device list, select the checkbox of the device(s) you want to remove and click [Remove].

    You cannot remove devices that are related to the installed printer drivers.

    The target OKI MFPs may not be found due to the SNMP settings. In this case, verify and/or change the settings using the SNMP Settings dialog box. For help, see the following section: » "Changing SNMP Settings"


Switching between devices

To change from one device to another, go to Printer > Change Printer and select the name of the desired device.


ADVANCED SETTINGS

This chapter describes the optional settings for customizing Local Discovery.

» "Customizing Local Discovery"

» "Changing Network Discovery Settings"

» "Changing SNMP Settings"


Customizing Local Discovery

If you want to customize Local Discovery, change the advanced settings from the configuration dialog box. You have 3 options to access to the configuration dialog box:

Double-click the Local Discovery icon on the system tray.
Right-click on the Local Discovery icon and, on the menu that appears, select [Configure].
On the Local Discovery window, select View > Configure.

The optional settings available for change are the startup, the event notification, and the refresh rates. You can also check the network address of each device on the configuration dialog box. The dialog box consists of the following tabs:

[Startup] -- Use this tab to select whether or not to show the Local Discovery icon when starting Windows. » "Setting up the Startup option"
[Notification] -- Use this tab to select events for the event notification and how to notify them. » "Changing event notification settings"
[Refresh Rates] -- Use this tab to specify how often Local Discovery detects the device and notify events and updates the device summary and the print queues information. » "Changing Refresh Rates"
[Installed] -- Use this tab to check the network address of each device. » "Viewing the network address of your printer"


Setting up the Startup option

On the [Startup] tab, you can select whether or not to display the Local Discovery icon at the startup of Windows. To select to display the icon, select the [Run the Local Discovery when starting Windows] check box.


Changing event notification settings

The [Notification] tab allows you to select events Local Discovery notifies and the ways it does.

Events

Clicking on the arrow button in the Events frame displays the list of events that can be notified of. Select the checkboxes for the messages corresponding to the events described below.
Events | Descriptions
Document has been printed successfully | The printer has finished printing the document.
Private print document is being held | The private print or hold print job sent to the controller is ready for printing. Perform printing on the control panel.
Proof set has been printed | The printer has printed the first copy of your multi-copy job, which is ready for your review before releasing and printing the remaining copies.
Fax has been transmitted successfully *1 | The printer has sent a fax that you sent through the Fax driver.
Document has been cancelled by the printer | The printer has cancelled the job. The reason might be an unavailable paper size or the satisfied timeout conditions. The message is displayed only when catastrophic circumstances force the printer to cancel the job, such as a missing byte or memory failure. However, expired private or proof print jobs are never cancelled by the printer.
Document cannot be printed due to error | The printer is unable to print the job.
Fax Transmission failure | The printer has failed in sending a fax through the Fax driver.
Document is held as Invalid | Your print job is held as an invalid job because of exceeding the limitation for number of copies.
Printer has a paper jam | There is a paper jam in the printer.
Printer is offline *2 | The printer is off-line.
Drawer is out of paper | One of the printer drawers is out of paper. This drawer may not be the one the printer is using for your job.
Printer door is open | The cover on the printer is open.
Printer requires attention | The printer is in an error condition that requires immediate attention or maintenance.
Toner is empty | The toner cartridge is empty.
Used toner container is full | The waste toner container is full.
Toner is low | The toner cartridge is near empty.

*1 Only for the devices with the Fax option.

*2 The notification of this event is not available.

Method

Select how Local Discovery notifies you of an event.
Popup Dialog -- Selecting this option displays a pop-up message when an event occurs.
Audio (Beep) -- Selecting this option causes your computer to produce a beep at the time of an event.


Changing Refresh Rates

On the [Refresh Rates] tab, you can change the refresh rates for the three items: document notification, printer status, and print queue.

Item/Refresh Rates List Box

The list box shows the refresh rate settings for the following items:
Document Notification
Printer Status
Print Queue

[Restore Defaults]

Clicking on this button restores the default settings of the refresh rates.

[Change Rate]

To change the refresh rate, select an item from the Item list and click this button. The dialog box corresponding to the selected item appears where you can select the desired refresh rate with the slide bar. The refresh rates can be set within the following ranges:
Document Notification -- 0 second (i.e. no refresh) to 1 minute in 10-second increments. The default is 30 seconds.
Printer Status -- 0 second (i.e. no refresh) to 5 minute in 30-second increments. The default is 1 minute.
Print Queue -- 0 second (i.e. no refresh) to 1 minute in 10-second increments. The default is 10 seconds.


Viewing the network address of your printer

On the [Installed] tab, you can check the IP address for each device.

Printer Name

This column lists the name of each printer or fax driver.

Port

This column displays the port on your computer to which the printer driver is connected.

IP/IPX Address

This column displays the IP/IPX address of the device the printer/fax driver maps.

[Update]

Clicking on this button updates the devices' network address information.


Changing Network Discovery Settings

When using Local Discovery and connecting to your printer for the first time, or when registering an additional printer, you need to find the device on the network.

» "Connecting to OKI MFP"

» "Registering additional printers"

The search process may take long especially when many clients exist on the network. In this case, you can narrow down the search conditions on the Discovery Settings dialog box. The settings available for change vary between the following 2 cases:

» "Initial connection"

» "Additional printer registration"

In addition, your attempt to find an OKI MFP may fail due to the SNMP Network settings configured for the MFP. In this case, open the SNMP Settings dialog box and verify and/or change the settings.

» "Changing SNMP Settings"

Ask the administrator for details on the SNMP Network settings configured for your OKI MFP.


Initial connection

If you are trying to establish the connection to the device for the first time, click [Advanced] on the [Local Discovery] dialog box and, on the [Discovery Settings] dialog box that appears, change the following settings:

Devices

Click the arrow button to display the pull-down list box and check the box for the model name that you want to search for.

Network

Enable IPX/SPX Search Select this option to search for the devices on the IPX/SPX network. This option is available when both of the following conditions are satisfied:
The IPX/SPX protocols and Novel Client are installed to your computer.
Your computer is connected to the NetWare server.
The OKI MFPs can be discovered in the IPX/SPX network if the [Local Discovery] dialog box is displayed from other than Local Discovery. Enable TCP/IP Search Select this option to search for the devices on the TCP/IP network. This option is available only when the TCP/IP protocols are installed to your computer. When you select this option, you also need to specify the detailed search conditions for the devices on the network.
Search local subnet -- Select this option to search for devices in the local subnet.
Specify a range -- Select this option to search for OKI MFPs in a specific range of IP addresses. When this option is selected, select IPv4 or IPv6 check box and enter IP addresses in the [From] and [To] boxes to specify the range.

[SNMP Settings]

Click this button when you need to verify or change the SNMP settings. » "Changing SNMP Settings"


Additional printer registration

If you are trying to register additional devices, click [Advanced] on the [Local Discovery Network Discovery] dialog box and, on the [Discovery Settings] dialog box that appears, change the following settings:

Devices

Find OKI Devices Select this option to search your network only for OKI MFPs that are supported. Find All Devices on the Network Select this option to search for all compatible devices.

Network

Enable IPX/SPX Search Select this option to search for printers connected to the IPX/SPX network. This option is available when both of the following conditions are satisfied:
The IPX/SPX protocols and Novel Client are installed to your computer.
Your computer is connected to the NetWare server.
Enable TCP/IP Search Select this option to search for the devices on the TCP/IP network. This option is available only when the TCP/IP protocols are installed to your computer. When you select this option, you also need to specify the detailed search conditions for the devices on the network.
Search local subnet -- Select this option to search for devices in the local subnet.
Specify a range -- Select this option to search for OKI MFPs in a specific range of IP addresses. When this option is selected, select IPv4 or IPv6 check box and enter IP addresses in the [From] and [To] boxes to specify the range.

[SNMP Settings]

Click this button when you need to verify and/or change the SNMP settings. » "Changing SNMP Settings"


Changing SNMP Settings

If you cannot find the target OKI MFPs on your network, the SNMP settings might be worth suspecting. Verify the correct SNMP settings on the [SNMP Settings] dialog box and change the settings, if needed. The dialog box can be accessed by clicking [SNMP Settings] on the [Discovery Settings] (» "Initial connection") or the [Manual Selection] dialog box (» "Entering IP address manually").

Ask the administrator for details on the SNMP Network settings configured for your OKI MFP.

When you are using Local Discovery

SNMP V1/V2

Community Name --If a community name other than "private" (default) is set for the SNMP community name for your OKI MFP, enter its community name.

To find your OKI MFP under the SNMP V1/V2 environment, the community name set for the target OKI MFP must be specified correctly. For help, consult the administrator.

[Restore Default]

Click this button when you want to reset the setting back to the default.

When you are using applications other than Local Discovery

Version

Be sure to have the correct SNMP version set for your OKI MFP and select from the following options:
V1/V2 -- Select this option to enable SNMP V1 and V2.
V3 -- Select this option to enable SNMP V3.
V1/V2/V3 (for [Discovery Settings] dialog box only) -- Select this option to enable SNMP V1, V2, and V3.

SNMP V1/V2

Community Name --If a community name other than "private" (default) is set for the SNMP community name for your OKI MFP, enter its community name.

To find your OKI MFP under the SNMP V1/V2 environment, the community name set for the target OKI MFP must be specified correctly. For help, consult the administrator.

SNMP V3

If SNMP V3 is enabled, use the [option button] to select the way to authenticate users. User ID File -- Select this option when you want to use a user ID file. Click [Browse] and specify the user ID file. User Name/Password -- Select this option when you want to use the user name and password. When this option is selected, keyboard or select the following items:
User Name
Authentication Protocol
Authentication Password
Privacy Protocol
Privacy Password

If you select to enable SNMP V3, consult your network administrator for preliminary advice on how to authenticate users.

Each entry for User Name, Authentication Password, and Privacy Password can consist of up to 31 one-byte alphanumeric characters.

[Restore Default]

Click this button when you want to reset all the settings back to the defaults.


OKPDLD_en-us-26

Go to Top


Version

Ver00 2012-01